aboutsummaryrefslogtreecommitdiff
path: root/0.8.0/src/adjutrix/find_stable_candidates_TEST
diff options
context:
space:
mode:
Diffstat (limited to '0.8.0/src/adjutrix/find_stable_candidates_TEST')
-rwxr-xr-x0.8.0/src/adjutrix/find_stable_candidates_TEST18
1 files changed, 18 insertions, 0 deletions
diff --git a/0.8.0/src/adjutrix/find_stable_candidates_TEST b/0.8.0/src/adjutrix/find_stable_candidates_TEST
new file mode 100755
index 0000000..9ae9850
--- /dev/null
+++ b/0.8.0/src/adjutrix/find_stable_candidates_TEST
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+./adjutrix --find-stable-candidates -D find_stable_candidates_TEST_dir/ best | \
+ tee find_stable_candidates_TEST_dir/out1.txt
+
+if grep --silent '^ ' find_stable_candidates_TEST_dir/out1.txt ; then
+ echo "out1 failed" 1>&2
+ exit 127
+fi
+
+./adjutrix --find-stable-candidates -D find_stable_candidates_TEST_dir/ one | \
+ tee find_stable_candidates_TEST_dir/out2.txt
+
+if [[ $(grep --count '^ ' find_stable_candidates_TEST_dir/out2.txt ) != "1" ]] ; then
+ echo "out2 failed" 1>&2
+ exit 127
+fi
+